Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.shimhost
Class ShimConfig.RemoteLoaderConfig

    java.lang.Object
      com.novell.nds.dirxml.shimhost.ShimConfig.RemoteLoaderConfig

All Implemented Interfaces:
  ConfigElement

Enclosing class:
  ShimConfig

    public static class ShimConfig.RemoteLoaderConfig

extends Object
implements ConfigElement

Class encapsulating Remote Loader connection data.

Constructor Summary
`ShimConfig.RemoteLoaderConfig()` Construct a new, empty `RemoteLoaderConfig` instance.

Method Summary
`void` | `addToInitDocument(Node parent, char[] configPassword)` Add Remote Loader configuration information to a shim initialization document.
`String` | `getConnectionString()` Return the Remote Loader connection string
`Password` | `getDriverPassword()` Return the Password instance containing the driver password used to authenticate the Remote Loader connection.
`Password` | `getLoaderPassword()` Return the `Password` instance containing the Remote Loader password data.
`boolean` | `hasBeenModified()` Return `true` if this instance has been modified.
`void` | `resetModified()` Reset the modified flag for this instance such that `hasBeenModified()` will return `false`.
`void` | `setConnectionString(String connection)` Set the Remote Loader connection string
`void` | `setUse(boolean use)` Set whether this RemoteLoaderConfig is active ("should be used").
`Element` | `toXML(Node parent)` Construct an XML representation under the passed `Node`.
`boolean` | `use()` Return `true` if this RemoteLoaderConfig specifies that it is in active ("should be used").

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShimConfig.RemoteLoaderConfig

    public ShimConfig.RemoteLoaderConfig()

  Construct a new, empty `RemoteLoaderConfig` instance.

Method Detail

### hasBeenModified

    public boolean hasBeenModified()

  Return `true` if this instance has been modified.

  The instance is considered to have been modified if a change was made that affects the persistent representation since:

  1. The instance was constructed from an XML representation.
  2. `resetModified()` was last called

  Specified by:
    `hasBeenModified` in interface `ConfigElement`
  Returns:
    `true` or `false`
  See Also:
    `resetModified()`

### resetModified

    public void resetModified()

  Reset the modified flag for this instance such that `hasBeenModified()` will return `false`.

  Specified by:
    `resetModified` in interface `ConfigElement`
  See Also:
    `hasBeenModified()`

### use

    public boolean use()

  Return `true` if this RemoteLoaderConfig specifies that it is in active ("should be used").

  Returns:
    `true` or `false`

### setUse

    public void setUse(boolean use)

  Set whether this RemoteLoaderConfig is active ("should be used").

  Parameters:
    `use` - `true` or `false`

### getConnectionString

    public String getConnectionString()

  Return the Remote Loader connection string

  Returns:
    connection string

### setConnectionString

    public void setConnectionString(String connection)

  Set the Remote Loader connection string

  Parameters:
    `connection` - connection string

### getLoaderPassword

    public Password getLoaderPassword()

  Return the `Password` instance containing the Remote Loader password data.

  Returns:
    Remote Loader password

### getDriverPassword

    public Password getDriverPassword()

  Return the Password instance containing the driver password used to authenticate the Remote Loader connection.

  Returns:
    driver password

### toXML

    public Element toXML(Node parent)

  Construct an XML representation under the passed `Node`.

  Specified by:
    `toXML` in interface `ConfigElement`
  Parameters:
    `parent` - `Node` under which to build XML representation
  Returns:
    constructed <>remote-loader> `Element`
  See Also:
    `ConfigElement.hasBeenModified()`, `ConfigElement.resetModified()`

### addToInitDocument

    public void addToInitDocument(Node parent,
                                  char[] configPassword)
                           throws CipherException

  Add Remote Loader configuration information to a shim initialization document.

  Parameters:
    `parent` - `Node` under which the &authentication-info> element may be found (normally an <init-params> `Element`)
    `configPassword` - password needed to unlock the loader password
  Throws:
    `CipherException` - if an error occurs decrypting the loader password

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD